name: Dart

on:
  push:
    branches: []
  pull_request:
    branches: []

env:
  CARGO_TERM_COLOR: always

jobs:
  build:

    runs-on: ubuntu-latest
    
    steps:
    - uses: actions/checkout@v3
    - uses: subosito/flutter-action@v2
      with:
        channel: 'stable'
    - name: Install Packages
      run: flutter pub get
    - name: Run Test
      run: flutter test
  
